package wekan.wrapper.api;

import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.Path;
import wekan.wrapper.entity.User;

import java.util.List;

public interface UserService {

    /**
     * Get all users.
     *
     * @return the list with all users
     */
    @GET("api/users")
    Call<List<User>>  getAllUser();

    /**
     * Get user information
     *
     * @param userId    ID user
     * @return user information
     */
    @GET("api/users/{user}")
    Call<User> getUser(@Path("user") String userId);

}
